
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"



****************************************************************************************************************************************************************
*** FIGURE 2, PANEL A
****************************************************************************************************************************************************************

cd "$OUTPUT"


use "$DATA/ANALYSIS.dta", clear
cd "$overleaf"


* control mean
reg R0 R  if T_contract==0 & STATE==1

global control_I = _b[_cons]

reg R0 R  if T_contract==1 & STATE==1

global control_F = _b[_cons]

* treatment effect
parmby "reghdfe  R0 R  if T_contract==0 & STATE==1, absorb(equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_NS_P_CONTRACTTASTE.dta", replace)  level(95)
parmby "reghdfe  R0 R  if T_contract==1 & STATE==1, absorb(equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_S_P_CONTRACTTASTE.dta", replace)  level(95)




use "$TEMP/FIGURE_STATE_NS_P_CONTRACTTASTE.dta", clear
replace estimate = $control_I if parm == "_cons"
save "$TEMP/FIGURE_STATE_NS_P_CONTRACTTASTE.dta", replace

use "$TEMP/FIGURE_STATE_S_P_CONTRACTTASTE.dta", clear
replace estimate = $control_F if parm == "_cons"
save "$TEMP/FIGURE_STATE_S_P_CONTRACTTASTE.dta", replace


use "$TEMP/FIGURE_STATE_NS_P_CONTRACTTASTE.dta", clear
append using "$TEMP/FIGURE_STATE_S_P_CONTRACTTASTE.dta"
gen x=ceil(_n/2)
sort parm x


replace parmseq=3 if parmseq==2
replace parmseq=2 if parmseq==1
replace parmseq=1 if parmseq==3



gsort x parmseq

gen order = _n

replace estimate=estimate+estimate[_n-1] if parm=="R"
replace max95=max95+estimate[_n-1] if parm=="R"
replace min95=min95+estimate[_n-1] if parm=="R"

replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 



des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}



twoway  (bar estimate order if parmseq==2 , barwidth(.6)) ///
	  (bar estimate order if parmseq==1, barwidth(.6)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	legend(size(*1.2) order(2 "Ultimately accepts sale on credit" 1 "Ultimately rejects sale on credit" ) ring(0) bplacement(swest) colgap(-.1cm) style(column)) ///
     ylabel(0(.05).75, angle(0) ticks) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_3 ,lcolor(black)  lwidth(.5) lpattern(dot)) ///
 	xline(2.5,lcolor(black)  lwidth(.5) lpattern(solid)) ///
	scheme(s1mono) ///
	xlabel(1.5 "Contract requirement lifted"   3.5 "Contract requirement maintained", noticks labsize(medium)) ///
	xtitle("  ") ytitle(" Rejects placebo offer")
    graph export "$OUTPUT/FIGURE_2_PANEL_A.png",  replace width(1000) 
	

	
****************************************************************************************************************************************************************
*** FIGURE 2, PANEL B
****************************************************************************************************************************************************************

	
use "$DATA\ANALYSIS.dta", clear
cd "$overleaf"


* control mean
reg C T_contract if STATE==1

global control_C = _b[_cons]

reg E T_contract if STATE==1

global control_E = _b[_cons]

reg R T_contract if STATE==1

global control_R = _b[_cons]

* treatment effect
parmby "reghdfe  C R0 T_contract if STATE==1, absorb(equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_C_CONTRACTTASTE_ROBUST.dta", replace)  level(95)
parmby "reghdfe  E R0 T_contract if STATE==1, absorb(equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_E_CONTRACTTASTE_ROBUST.dta", replace)  level(95)
parmby "reghdfe  R R0 T_contract if STATE==1, absorb(equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_R_SNSN_ROBUST.dta", replace)  level(95)




use "$TEMP/FIGURE_STATE_C_CONTRACTTASTE_ROBUST.dta", clear
replace estimate = $control_C if parm == "_cons"
save "$TEMP/FIGURE_STATE_C_CONTRACTTASTE_ROBUST.dta", replace

use "$TEMP/FIGURE_STATE_E_CONTRACTTASTE_ROBUST.dta", clear
replace estimate = $control_E if parm == "_cons"
save "$TEMP/FIGURE_STATE_E_CONTRACTTASTE_ROBUST.dta", replace

use "$TEMP/FIGURE_STATE_R_SNSN_ROBUST.dta", clear
replace estimate = $control_R if parm == "_cons"
save "$TEMP/FIGURE_STATE_R_SNSN_ROBUST.dta", replace


use "$TEMP/FIGURE_STATE_C_CONTRACTTASTE_ROBUST.dta", clear
append using "$TEMP/FIGURE_STATE_E_CONTRACTTASTE_ROBUST.dta"
append using "$TEMP/FIGURE_STATE_R_SNSN_ROBUST.dta"

keep if parm=="_cons" |  parm=="T_contract" 

gen x=ceil(_n/2)
sort parm x

replace parmseq=1 if parmseq==3


gsort x parmseq

gen order = _n

replace estimate=estimate+estimate[_n-1] if parm=="T_contract"
replace max95=max95+estimate[_n-1] if parm=="T_contract"
replace min95=min95+estimate[_n-1] if parm=="T_contract"

replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 



des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}


twoway  (bar estimate order if parmseq==2 , barwidth(.6)) ///
	  (bar estimate order if parmseq==1, barwidth(.6)) ///
	  	  (bar estimate order if parmseq==3, barwidth(.6)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	legend(size(*1.2) order (2 1)  label (2 "Contract requirement lifted" ) label (1 "Contract requirement maintained") ring(0) bplacement(neast) style(column) symxsize(8pt) ) ///
     ylabel(0(.05).65, angle(0) ticks) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_3, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_5, lcolor(black)  lwidth(.5) lpattern(dot)) ///
 	xline(2.5,lcolor(black)  lwidth(.5) lpattern(solid)) ///
	 	xline(4.5,lcolor(black)  lwidth(.5) lpattern(solid)) ///
	scheme(s1mono) ///
    xlabel( 1.5 "Cheats, C" 3.5 "Exchanges, E" 5.5 "Rejects, R" , noticks angle(0) labsize(medlarge) ) ///
	xtitle("  ") ytitle(" Rejects placebo offer")
    graph export "$overleaf/FIGURE_2_PANEL_B.png",  replace width(1000) 
