
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"

*HEARDOF HH_BELIEF_OBJECTIVE_marketing
****************************************************************************************************************************************************************
*** FIGURE 4, PANEL A (LEFT QUADRANT)
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear


keep if B1==1

* control mean
reg E T_contract if STATE == 1

global control_S = _b[_cons]

reg E T_contract if STATE == 0 

global control_NS = _b[_cons]

* treatment effect
parmby "reghdfe  E T_contract  if STATE==0, absorb(WEIRD HH_BELIEF_OBJECTIVE_trust HH_BELIEF_OBJECTIVE_ethnic    HH_CONTRACT_IMAGE_fraudulent HH_CONTRACT_IMAGE_changegov  HH_CONTRACT_IMAGE_serious HH_CONTRACT_IMAGE_lowtrus equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_NS_P_L.dta", replace)  level(95)

parmby "reghdfe  E T_contract  if STATE==1, absorb(WEIRD HH_BELIEF_OBJECTIVE_trust HH_BELIEF_OBJECTIVE_ethnic    HH_CONTRACT_IMAGE_fraudulent HH_CONTRACT_IMAGE_changegov  HH_CONTRACT_IMAGE_serious HH_CONTRACT_IMAGE_lowtrus equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_S_P_L.dta", replace)  level(95)


use "$TEMP/FIGURE_STATE_S_P_L.dta", clear
replace estimate = $control_S if parm == "_cons"
save "$TEMP/FIGURE_STATE_S_P_L.dta", replace

use "$TEMP/FIGURE_STATE_NS_P_L.dta", clear
replace estimate = $control_NS if parm == "_cons"
save "$TEMP/FIGURE_STATE_NS_P_L.dta", replace


use "$TEMP/FIGURE_STATE_S_P_L.dta", clear
append using "$TEMP/FIGURE_STATE_NS_P_L.dta"
keep if parm=="T_contract" | parm=="STATE" | parm=="_cons"

gen x=ceil(_n/2)
sort parm x


replace parmseq=2 if parm=="T_contract"
replace parmseq=1 if parm=="_cons"


gsort x parmseq

gen order = _n

replace estimate=estimate+estimate[_n-1] if parm=="T_contract"
replace max95=max95+estimate[_n-1] if parm=="T_contract"
replace min95=min95+estimate[_n-1] if parm=="T_contract"

replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 


des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}


twoway  (bar estimate order if parmseq==2 , barwidth(.6)) ///
	  (bar estimate order if parmseq==1, barwidth(.6)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	legend(size(*1.2) order (2 1)  label (2 "Contract requirement lifted" ) label (1 "Contract requirement maintained") ring(0) bplacement(nwest) style(column) symxsize(8pt) ) ///
     ylabel(0(.05).65, angle(0) ticks) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_3, lcolor(black)  lwidth(.5) lpattern(dot)) ///
 	xline(2.5,lcolor(black)  lwidth(.5) lpattern(solid)) ///
	scheme(s1mono) ///
    xlabel( 1.5 "State-favored merchants" 3.5 "Disfavored merchants" , noticks angle(0) labsize(large)) ///
	xtitle("  ") ytitle(" Pays, conditional on initially accept")
    graph export "$OUTPUT/FIGURE_4_PANEL_A_LEFT.png",  replace width(1000) 

	

	
	
	
	
****************************************************************************************************************************************************************
*** FIGURE 4, PANEL A (RIGHT QUADRANT)
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear

keep if STATE==1

keep if B1==1


* control mean
reg E T_contract if COETHNIC == 1

global control_C = _b[_cons]

reg E T_contract if COETHNIC == 0 

global control_NC = _b[_cons]

* treatment effect
parmby "reghdfe  E T_contract     if COETHNIC==0, absorb($controls_contract_coethnic    WEIRD HH_BELIEF_OBJECTIVE_trust HH_BELIEF_OBJECTIVE_ethnic    HH_CONTRACT_IMAGE_fraudulent HH_CONTRACT_IMAGE_changegov  HH_CONTRACT_IMAGE_serious HH_CONTRACT_IMAGE_lowtrus   )", saving("$TEMP/FIGURE_COETHNIC_NC_P_L.dta", replace)  level(95)
parmby "reghdfe  E T_contract     if COETHNIC==1, absorb($controls_contract_coethnic   WEIRD HH_BELIEF_OBJECTIVE_trust HH_BELIEF_OBJECTIVE_ethnic    HH_CONTRACT_IMAGE_fraudulent HH_CONTRACT_IMAGE_changegov  HH_CONTRACT_IMAGE_serious HH_CONTRACT_IMAGE_lowtrus   )", saving("$TEMP/FIGURE_COETHNIC_C_P_L.dta", replace)  level(95)


use "$TEMP/FIGURE_COETHNIC_NC_P_L.dta", clear
replace estimate = $control_NC if parm == "_cons"
save "$TEMP/FIGURE_COETHNIC_NC_P_L.dta", replace


use "$TEMP/FIGURE_COETHNIC_C_P_L.dta", clear
replace estimate = $control_C if parm == "_cons"
save "$TEMP/FIGURE_COETHNIC_C_P_L.dta", replace


use "$TEMP/FIGURE_COETHNIC_NC_P_L.dta", clear
append using "$TEMP/FIGURE_COETHNIC_C_P_L.dta"
keep if parm=="T_contract" | parm=="COETHNIC"  | parm=="_cons"
gen x=ceil(_n/2)
gsort parm x


replace parmseq=2 if parm=="T_contract"
replace parmseq=1 if parm=="_cons"



gsort x parmseq

gen order = _n


replace estimate=estimate+estimate[_n-1] if parm=="T_contract"
replace max95=max95+estimate[_n-1] if parm=="T_contract"
replace min95=min95+estimate[_n-1] if parm=="T_contract"

replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 


des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}





twoway  (bar estimate order if parmseq==2 , barwidth(.6)) ///
	  (bar estimate order if parmseq==1, barwidth(.6)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	legend(size(*1.2) order (2 1)  label (2 "Contract requirement lifted" ) label (1 "Contract requirement maintained") ring(0) bplacement(nwest) style(column) symxsize(8pt) ) ///
     ylabel(0(.05).65, angle(0) ticks) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_3, lcolor(black)  lwidth(.5) lpattern(dot)) ///
 	xline(2.5,lcolor(black)  lwidth(.5) lpattern(solid)) ///
	scheme(s1mono) ///
    xlabel( 1.5 "Non-coethnic pairs" 3.5 "Co-ethnic pairs" , noticks angle(0) labsize(large)) ///
	xtitle("  ") ytitle(" Pays, conditional on initially accept")
    graph export "$OUTPUT/FIGURE_4_PANEL_A_RIGHT.png",  replace width(1000) 



	
	
****************************************************************************************************************************************************************
*** FIGURE 4, PANEL B (LEFT QUADRANT)
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear

keep if B1==1


* control mean

reg E  if T_contract == 0 & STATE==1

global control_S = _b[_cons]

gen NONSTATE=1-STATE

* treatment effect
parmby "reghdfe  E NONSTATE  if T_contract==0, absorb(WEIRD HH_BELIEF_OBJECTIVE_trust HH_BELIEF_OBJECTIVE_ethnic    HH_CONTRACT_IMAGE_fraudulent HH_CONTRACT_IMAGE_changegov  HH_CONTRACT_IMAGE_serious HH_CONTRACT_IMAGE_lowtrus equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_TEST_L.dta", replace)  level(95)

use "$TEMP/FIGURE_STATE_TEST_L.dta", clear
replace estimate = $control_S if parm=="_cons"

keep if parm=="NONSTATE" | parm=="_cons"

replace estimate=estimate+estimate[_n+1] if parm=="NONSTATE"
replace max95=max95+estimate[_n+1] if parm=="NONSTATE"
replace min95=min95+estimate[_n+1] if parm=="NONSTATE"
replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 

gsort -parmseq

gen order=_n


des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}



twoway  (bar estimate order , barwidth(.4) fcolor(gs10)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	legend(size(*1.2)  order(1 "Contract requirement  lifted") ring(0) bplacement(nwest) style(column) symxsize(8pt) ) ///
     ylabel(0(.05).6, angle(0) ticks) ///
	 yline($estimates_2, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	xscale(range(0.5 2.5)) ///
    xlabel( 1 "State-favored merchants" 2 "Disfavored merchants" , noticks angle(0) labsize(large)) ///
	scheme(s1mono) ///
	xtitle("  ") ytitle(" Pays, conditional on initially accept")
    graph export "$OUTPUT/FIGURE_4_PANEL_B_LEFT.png",  replace width(1000) 


	
	
****************************************************************************************************************************************************************
*** FIGURE 4, PANEL B (RIGHT QUADRANT)
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear

keep if HOUSEHOLD_STATE==1
keep if B1==1

* control mean
reg E COETHNIC if T_contract == 0

global control_NC = _b[_cons]

* treatment effect
parmby "reghdfe E COETHNIC if T_contract==0, absorb($controls_coethnic WEIRD HH_BELIEF_OBJECTIVE_trust HH_BELIEF_OBJECTIVE_ethnic    HH_CONTRACT_IMAGE_fraudulent HH_CONTRACT_IMAGE_changegov  HH_CONTRACT_IMAGE_serious HH_CONTRACT_IMAGE_lowtrus)", saving("$TEMP/FIGURE_COETHNIC_TEST_L.dta", replace)  level(95)


use "$TEMP/FIGURE_COETHNIC_TEST_L.dta", clear
replace estimate = $control_NC if parm=="_cons"

keep if parm=="COETHNIC"| parm=="_cons"

replace estimate=estimate+estimate[_n+1] if parm=="COETHNIC"
replace max95=max95+estimate[_n+1] if parm=="COETHNIC"
replace min95=min95+estimate[_n+1] if parm=="COETHNIC"
replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 

gsort -parmseq

gen order=_n


des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}


twoway  (bar estimate order , barwidth(.4) fcolor(gs10)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	 	legend(size(*1.2)  order(1 "Contract requirement  lifted") ring(0) bplacement(nwest) style(column) symxsize(8pt) ) ///
     ylabel(0(.05).6, angle(0) ticks) ///
	 yline($estimates_2, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	xscale(range(0.5 2.5)) ///
    xlabel( 1 "Non-coethnic pairs" 2 "Co-ethnic pairs" , noticks angle(0) labsize(large)) ///
	scheme(s1mono) ///
	xtitle("  ") ytitle(" Pays, conditional on initially accept")
    graph export "$OUTPUT/FIGURE_4_PANEL_B_RIGHT.png",  replace width(1000) 
