
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"


****************************************************************************************************************************************************************
*** FIGURE 5, PANEL A (LEFT QUADRANT)
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear

keep if B1==1


* control mean
reg E T_contract if T_STATE == 1

global control_S = _b[_cons]

reg E T_contract if T_STATE == 0 

global control_NS = _b[_cons]

* treatment effect
parmby "reghdfe  E T_contract  if T_STATE==0, absorb(equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_NS_P_T.dta", replace)  level(95)
parmby "reghdfe  E T_contract if T_STATE==1, absorb(equipe $RB2 $controls_contract )", saving("$TEMP/FIGURE_STATE_S_P_T.dta", replace)  level(95)


use "$TEMP/FIGURE_STATE_S_P_T.dta", clear
replace estimate = $control_S if parm == "_cons"
save "$TEMP/FIGURE_STATE_S_P_T.dta", replace

use "$TEMP/FIGURE_STATE_NS_P_T.dta", clear
replace estimate = $control_NS if parm == "_cons"
save "$TEMP/FIGURE_STATE_NS_P_T.dta", replace

use "$TEMP/FIGURE_STATE_S_P_T.dta", clear
append using "$TEMP/FIGURE_STATE_NS_P_T.dta"
gen x=ceil(_n/2)
sort parm x

replace parmseq=3 if parmseq==2
replace parmseq=2 if parmseq==1
replace parmseq=1 if parmseq==3


gsort x parmseq

gen order = _n


replace estimate=estimate+estimate[_n-1] if parm=="T_contract"
replace max95=max95+estimate[_n-1] if parm=="T_contract"
replace min95=min95+estimate[_n-1] if parm=="T_contract"

replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 


des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}



twoway  (bar estimate order if parmseq==2 , barwidth(.6)) ///
	  (bar estimate order if parmseq==1, barwidth(.6)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	legend(size(*1.2) order (2 1)  label (2 "Contract requirement lifted" ) label (1 "Contract requirement maintained") ring(0) bplacement(swest) style(column) symxsize(8pt) ) ///
     ylabel(0(.05).4, angle(0) ticks) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_3, lcolor(black)  lwidth(.5) lpattern(dot)) ///
 	xline(2.5,lcolor(black)  lwidth(.5) lpattern(solid)) ///
	scheme(s1mono) ///
    xlabel( 1.5 "State-favored merchants" 3.5 "Disfavored merchants" , noticks angle(0) labsize(large)) ///
	xtitle("  ") ytitle(" Pays, conditional on initially accept")
    graph export "$OUTPUT/FIGURE_5_PANEL_A_LEFT.png",  replace width(1000) 


	
	
	
****************************************************************************************************************************************************************
*** FIGURE 5, PANEL A (RIGHT QUADRANT)
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear


keep if HOUSEHOLD_STATE==1
keep if T_STATE==1
keep if B1==1

* control mean
reg E T_contract if COETHNIC == 1

global control_C = _b[_cons]

reg E T_contract if COETHNIC == 0 

global control_NC = _b[_cons]

* treatment effect
parmby "reghdfe  E T_contract  if T_COETHNIC==0, absorb($controls_contract_coethnic)", saving("$TEMP/FIGURE_COETHNIC_NC_P_T.dta", replace)  level(95)
parmby "reghdfe  E T_contract if T_COETHNIC==1, absorb($controls_contract_coethnic)", saving("$TEMP/FIGURE_COETHNIC_C_P_T.dta", replace)  level(95)


use "$TEMP/FIGURE_COETHNIC_NC_P_T.dta", clear
replace estimate = $control_NC if parm == "_cons"
save "$TEMP/FIGURE_COETHNIC_NC_P_T.dta", replace

use "$TEMP/FIGURE_COETHNIC_C_P_T.dta", clear
replace estimate = $control_C if parm == "_cons"
save "$TEMP/FIGURE_COETHNIC_C_P_T.dta", replace

use "$TEMP/FIGURE_COETHNIC_NC_P_T.dta", clear
append using "$TEMP/FIGURE_COETHNIC_C_P_T.dta"
gen x=ceil(_n/2)
sort parm x

replace parmseq=3 if parmseq==2
replace parmseq=2 if parmseq==1
replace parmseq=1 if parmseq==3

gsort x parmseq

gen order = _n


replace estimate=estimate+estimate[_n-1] if parm=="T_contract"
replace max95=max95+estimate[_n-1] if parm=="T_contract"
replace min95=min95+estimate[_n-1] if parm=="T_contract"

replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 

des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}



twoway  (bar estimate order if parmseq==2 , barwidth(.6)) ///
	  (bar estimate order if parmseq==1, barwidth(.6)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	legend(size(*1.2) order (2 1)  label (2 "Contract requirement lifted" ) label (1 "Contract requirement maintained") ring(0) bplacement(swest) style(column) symxsize(8pt) ) ///
     ylabel(0(.05).55, angle(0) ticks) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_3,lcolor(black)  lwidth(.5) lpattern(dot)) ///
 	xline(2.5,lcolor(black)  lwidth(.5) lpattern(solid)) ///
	scheme(s1mono) ///
    xlabel( 1.5 "Non-coethnic pairs" 3.5 "Co-ethnic pairs" , noticks angle(0) labsize(large)) ///
	xtitle("  ") ytitle(" Pays, conditional on initially accept")
    graph export "$OUTPUT/FIGURE_5_PANEL_A_RIGHT.png",  replace width(1000) 





	
	
****************************************************************************************************************************************************************
*** FIGURE 5, PANEL B (LEFT QUADRANT)
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear


keep if B1==1

gen T_NONSTATE=1-T_STATE
gen NONSTATE=1-STATE

*Effective F-statistic including controls for imbalance: F=566.72 -- weak instruments problem
ivreg2 E (T_NONSTATE=NONSTATE) equipe $RB2 $controls_contract if T_contract==0
weakivtest 


* control mean
reg E T_STATE if T_contract == 0

global control_S = _b[_cons]

* treatment effect
parmby "ivreghdfe  E (T_NONSTATE=NONSTATE) if T_contract==0, absorb(equipe $RB2 $controls_contract  )", saving("$TEMP/FIGURE_STATE_TEST_T.dta", replace)  level(95)


use "$TEMP/FIGURE_STATE_TEST_T.dta", clear
local new = _N + 1
set obs `new'
		
replace parm = "_cons" if parm == ""
replace estimate = $control_S if parm=="_cons"
replace parmseq = 2 if parmseq == .

keep if parm=="T_NONSTATE" | parm=="_cons"

replace estimate=estimate+estimate[_n+1] if parm=="T_NONSTATE"
replace max95=max95+estimate[_n+1] if parm=="T_NONSTATE"
replace min95=min95+estimate[_n+1] if parm=="T_NONSTATE"
replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 


gsort -parmseq

gen order=_n


des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}


twoway  (bar estimate order , barwidth(.4) fcolor(gs10)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	legend(size(*1.2)  order(1 "Contract requirement  lifted") ring(0) bplacement(nwest) style(column) symxsize(8pt) ) ///
     ylabel(0(.1)1.3, angle(0) ticks) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_2, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	xscale(range(0.5 2.5)) ///
    xlabel( 1 "State-favored merchants" 2 "Disfavored merchants" , noticks angle(0) labsize(large)) ///
	scheme(s1mono) ///
	xtitle("  ") ytitle(" Pays, conditional on initially accept")
    graph export "$OUTPUT/FIGURE_5_PANEL_B_LEFT.png",  replace width(1000) 



	
****************************************************************************************************************************************************************
*** FIGURE 5, PANEL B (RIGHT QUADRANT)
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear

keep if HOUSEHOLD_STATE==1 & T_STATE==1
keep if B1==1


*Effective F-statistic including controls for imbalance: F=1.273 -- weak instruments problem
ivreg2 E (T_COETHNIC=COETHNIC) $controls_coethnic if T_contract==0
weakivtest 

*Effective F-statistic is maximized: F=18.89 -- strong first stage
ivreg2 E (T_COETHNIC=COETHNIC) HH_female EDUCATION_YEARS  EDUCATION_YEARS2 if T_contract==0 
weakivtest 
*Thus, in what follows, HH_ETHNIC_SHI is excluded from controls for imbalance Pooling T_contract=0 and T_contract=1 instead produces similar results (but instrument remains somewhat weak: F-stat=5.980)


* control mean
reg E T_COETHNIC if T_contract==0

global control_NC = _b[_cons]

* treatment effect
reg T_COETHNIC COETHNIC HH_female EDUCATION_YEARS  EDUCATION_YEARS2 HH_ETHNIC_SHI
parmby "ivreghdfe E (T_COETHNIC=COETHNIC) if T_contract==0, absorb( HH_female EDUCATION_YEARS  EDUCATION_YEARS2)", saving("$TEMP/FIGURE_COETHNIC_TEST_T.dta", replace)  level(95)



use "$TEMP/FIGURE_COETHNIC_TEST_T.dta", clear

local new = _N +1
set obs `new'
		
replace parm = "_cons" if parm == ""
replace estimate = $control_NC if parm=="_cons"
replace parmseq = 2 if parmseq == .

sort parmseq

keep if parm=="T_COETHNIC" | parm=="_cons"
replace estimate=estimate+estimate[_n+1] if parm=="T_COETHNIC"
replace max95=max95+estimate[_n+1] if parm=="T_COETHNIC"
replace min95=min95+estimate[_n+1] if parm=="T_COETHNIC"
replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 

gsort -parmseq

gen order=_n


des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}


twoway  (bar estimate order , barwidth(.4) fcolor(gs10)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
	 	legend(size(*1.2)  order(1 "Contract requirement  lifted") ring(0) bplacement(nwest) style(column) symxsize(8pt) ) ///
     ylabel(0(.1)1.3, angle(0) ticks) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_2, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	xscale(range(0.5 2.5)) ///
    xlabel( 1 "Non-coethnic pairs" 2 "Co-ethnic pairs" , noticks angle(0)  labsize(large)) ///
	scheme(s1mono) ///
	xtitle("  ") ytitle(" Pays, conditional on initially accept")
    graph export "$OUTPUT/FIGURE_5_PANEL_B_RIGHT.png",  replace width(1000) 
