
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"


****************************************************************************************************************************************************************
*** FIGURE 6
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear

keep if HOUSEHOLD_STATE==1

* control mean
reg R0 COETHNIC if T_contract==0

global control_NC = _b[_cons]

* treatment effect
parmby "reghdfe  R0 COETHNIC if T_contract==0, absorb($controls_coethnic)", saving("$TEMP/FIGURE_COETHNIC_PLACEBO.dta", replace)  level(95)


use "$TEMP/FIGURE_COETHNIC_PLACEBO.dta", clear

replace estimate = $control_NC if parm=="_cons"

replace estimate=estimate+estimate[_n+1] if parm=="COETHNIC"
replace max95=max95+estimate[_n+1] if parm=="COETHNIC"
replace min95=min95+estimate[_n+1] if parm=="COETHNIC"
replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 

gsort -parmseq

gen order=_n


des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}


twoway  (bar estimate order , barwidth(.4) fcolor(gs10)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
     ylabel(0(.05).8, angle(0) ticks) ///
	 	legend(size(*1.2)  order(1 "Placebo sale") ring(0) bplacement(nwest) style(column) symxsize(8pt) ) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_2, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	xscale(range(0.5 2.5)) ///
    xlabel( 1 "Non-coethnic pairs" 2 "Co-ethnic pairs" , noticks angle(0)) ///
	scheme(s1mono) ///
	xtitle("  ") ytitle(" Rejects placebo offer ")
    graph export "$OUTPUT/FIGURE_6.png",  replace width(1000) 


