
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"


****************************************************************************************************************************************************************
*** FIGURE 7
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear

gen NONSTATE=1-STATE

* control mean
reg R0 NONSTATE if HOUSEHOLD_STATE==1
global control_S_HS = _b[_cons]

reg R0 NONSTATE if HH_OCCUPATION_PUBLIC==1 & HOUSEHOLD_STATE==1
global control_S_HSOP = _b[_cons]

* treatment effect
parmby "reghdfe  R0 NONSTATE if HOUSEHOLD_STATE==1, absorb($controls_state   $RB0 $RB2 )", saving("$TEMP/FIGURE_STATE_PLACEBO.dta", replace)  level(95)
parmby "reg    R0 NONSTATE  $controls_state   i.$RB0 i.$RB2 if HH_OCCUPATION_PUBLIC==1 & HOUSEHOLD_STATE==1", saving("$TEMP/FIGURE_STATE_PLACEBO_officials.dta", replace)  level(95)
*including controls in the absorb option leads to a loss of 15 observations. This result is only suggestive, and from a small sample.


use "$TEMP/FIGURE_STATE_PLACEBO.dta", clear
replace estimate = $control_S_HS if parm == "_cons"
save "$TEMP/FIGURE_STATE_PLACEBO.dta", replace

use "$TEMP/FIGURE_STATE_PLACEBO_officials.dta", clear
replace estimate = $control_S_HSOP if parm == "_cons"
save "$TEMP/FIGURE_STATE_PLACEBO_officials.dta", replace



use "$TEMP/FIGURE_STATE_PLACEBO.dta", clear
gen ORDER=0
append using "$TEMP/FIGURE_STATE_PLACEBO_officials.dta"

replace ORDER = 1 if ORDER == .
keep if parm=="NONSTATE" | parm=="_cons"

replace estimate=estimate+estimate[_n+1] if parm=="NONSTATE"
replace max95=max95+estimate[_n+1] if parm=="NONSTATE"
replace min95=min95+estimate[_n+1] if parm=="NONSTATE"
replace max95=. if parm=="_cons" 
replace min95=. if parm=="_cons" 


gsort ORDER -parmseq

gen order=_n


des
return list

local obs = r(N)

local num = 0

forvalues i = 1/`obs' {

	local num = `num' + 1

	global estimates_`num' = estimate[`i'] //if _n == `i'

}

local var_num = 0
foreach var of varlist _all {
        local var_num = `var_num' + 1
        global var_name_`i' "`var'"
}


twoway  (bar estimate order if ORDER==0, barwidth(.5) fcolor(gs10)) ///
  (bar estimate order if ORDER==1, barwidth(.5) fcolor(black)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
     ylabel(0(.05)1.4, angle(0) ticks) ///
	 yline($estimates_1, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 yline($estimates_3, lcolor(black)  lwidth(.5) lpattern(dot)) ///
	 xline(2.5 ,lcolor(black)  lwidth(.5) ) ///
	xscale(range(0.5 5)) ///
	yscale(range(0.1 1)) ///
    xlabel(0 "Merchant:" 1 "State-favored" 2 "Disfavored" 3 "State-favored" 4 "Disfavored", noticks angle(0)) ///
	legend(size(*1.2) order(1 "State-favored buyers " 2 "State-favored, state official buyers  ") style(column) symxsize(8pt) ring(0) bplacement(nwest) colgap(-.1cm)) ///
	scheme(s1mono) ///
	xtitle("  ") ytitle(" Rejects placebo offer ")
    graph export "$OUTPUT/FIGURE_7.png",  replace width(1000) 

