
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"




cd "$OUTPUT"

use "$DATA\ANALYSIS.dta", clear


****************************************************************************************************************************************************************
*** PREPARATIONS
****************************************************************************************************************************************************************
keep if HOUSEHOLD_STATE==1


* control mean
* C
reg C COETHNIC 

global control_CE_C = _b[_cons]

reg C COETHNIC if HH_ETHNIC_SHI==1

global control_SHI_C = _b[_cons]

reg C COETHNIC if HH_ETHNIC_SHI!=1

global control_Other_C = _b[_cons]

*PANEL A
parmby "reghdfe  C COETHNIC , absorb($controls_coethnic)     ", saving("$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_1.dta", replace)  level(95)
parmby "reghdfe  C COETHNIC    if    HH_ETHNIC_SHI==1 , absorb($controls_coethnic)  ", saving("$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_2.dta", replace)  level(95)
parmby "reghdfe  C COETHNIC  if   HH_ETHNIC_SHI!=1 , absorb($controls_coethnic)   ", saving("$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_3.dta", replace)  level(95)

*PANEL B
keep if B1==1

* control mean
* E
reg E COETHNIC 

global control_CE_E = _b[_cons]

reg E COETHNIC if HH_ETHNIC_SHI==1

global control_SHI_E = _b[_cons]

reg E COETHNIC if HH_ETHNIC_SHI!=1

global control_Other_E = _b[_cons]

* treatment effect
parmby "reghdfe  E COETHNIC , absorb($controls_coethnic  )      ", saving("$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_1.dta", replace)  level(95)
parmby "reghdfe  E COETHNIC  if    HH_ETHNIC_SHI==1, absorb($controls_coethnic  )   ", saving("$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_2.dta", replace)  level(95)
parmby "reghdfe  E COETHNIC  if   HH_ETHNIC_SHI!=1  , absorb($controls_coethnic  )   ", saving("$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_3.dta", replace)  level(95)



	

****************************************************************************************************************************************************************
*** FIGURE A2, PANEL A
****************************************************************************************************************************************************************


use "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_1.dta", clear
replace estimate = $control_CE_C if parm == "_cons"
save "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_1.dta", replace

use "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_2.dta", clear
replace estimate = $control_SHI_C if parm == "_cons"
save "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_2.dta", replace

use "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_3.dta", clear
replace estimate = $control_Other_C if parm == "_cons"
save "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_3.dta", replace


use "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_1.dta", clear
append using "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_2.dta"
append using "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_BUY_3.dta"

drop if parm=="q16_scolar"
drop if parm=="q16_scolar2"

keep if parm=="COETHNIC" | parm=="_cons" 

replace parmseq=1 if parm=="_cons" 
replace parmseq=2 if parm=="COETHNIC" 


gen x=ceil(_n/2)

replace estimate=estimate+estimate[_n+1] if parm=="COETHNIC"

replace max95=max95+estimate[_n+1] if parm=="COETHNIC"
replace min95=min95+estimate[_n+1] if parm=="COETHNIC"
replace max95=. if parm=="_cons"
replace min95=. if parm=="_cons"

gsort x -parm

gen order = _n

twoway  (bar estimate order if parmseq==1 , barwidth(.6)) ///
	  (bar estimate order if parmseq==2, barwidth(.6)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
     legend(off ) ///
     xlabel(.5 "Buyers:"  1.5 "State-favored"  3.5 "State-favored bashi" 5.5 "State-favored other" , noticks angle(0)) ///
     ylabel(, angle(0)) ///
	 xline(2.5 ,lcolor(black)  lwidth(.4)) ///
	 	xline(4.5 ,lcolor(black)  lwidth(.2) lpattern(dash)) ///
	xscale(range(0.5(1)6.5) ) ///
	scheme(s1mono) ///
	xtitle("  ") ytitle("Cheats")
    graph export "$OUTPUT/FIGURE_A2_PANEL_A.png",  replace width(1000) 
	
	
	
	
	
	
****************************************************************************************************************************************************************
*** FIGURE A2, PANEL B
****************************************************************************************************************************************************************

use "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_1.dta", clear
replace estimate = $control_CE_E if parm == "_cons"
save "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_1.dta", replace

use "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_2.dta", clear
replace estimate = $control_SHI_E if parm == "_cons"
save "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_2.dta", replace

use "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_3.dta", clear
replace estimate = $control_Other_E if parm == "_cons"
save "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_3.dta", replace


use "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_1.dta", clear
append using "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_2.dta"
append using "$TEMP/MAIN_RESULT_COMPLEX_COETHNIC_3.dta"

keep if parm=="COETHNIC" | parm=="_cons" 
replace parmseq=1 if parm=="_cons" 
replace parmseq=2 if parm=="COETHNIC" 



replace estimate=estimate+estimate[_n+1] if parm=="COETHNIC"

replace max95=max95+estimate[_n+1] if parm=="COETHNIC"
replace min95=min95+estimate[_n+1] if parm=="COETHNIC"
replace max95=. if parm=="_cons"
replace min95=. if parm=="_cons"

gen x=ceil(_n/2)
gsort x parmseq

gen order = _n

twoway  (bar estimate order if parmseq==1 , barwidth(.6)) ///
	  (bar estimate order if parmseq==2, barwidth(.6)) ///
	 (rcap max95 min95 order, lwidth(.4) lcolor(black)), ///
     legend(off) ///
     xlabel(.5 "Buyers:"   1.5 "State-favored "  3.5 "State-favored  bashi " 5.5 "State-favored other" , noticks angle(0)) ///
     ylabel(, angle(0)) ///
	 xline(2.5 ,lcolor(black)  lwidth(.4)) ///
	 	xline(4.5 ,lcolor(black)  lwidth(.2) lpattern(dash)) ///
	xscale(range(0.5(1)6.5) ) ///
	scheme(s1mono) ///
	xtitle("  ") ytitle("Pays, conditional on initial accept")
    graph export "$OUTPUT/FIGURE_A2_PANEL_B.png",  replace width(1000) 
