
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
*global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"



****************************************************************************************************************************************************************
***TABLE 2 PREPARATION
****************************************************************************************************************************************************************

cd "$OUTPUT"

use "$DATA\ANALYSIS.dta" , clear

xi: mlogit choice T_contract  $controls_contract i.$RB1*i.$RB2    if STATE==1 , baseoutcome(1)  rrr coeflegend


*** MULTINOMIAL COEFFICIENT FOR E
local MULTINOMIAL_COEFF_CSTATE_E=_b[E:T_contract]
display `MULTINOMIAL_COEFF_CSTATE_E'

local MULTINOMIAL_VAR_CSTATE_E=_se[E:T_contract]
display `MULTINOMIAL_VAR_CSTATE_E'

*** MULTINOMIAL COEFFICIENT FOR R
local MULTINOMIAL_COEFF_CSTATE_R=_b[R:T_contract]
display `MULTINOMIAL_COEFF_CSTATE_R'

local MULTINOMIAL_VAR_CSTATE_R=_se[R:T_contract]
display `MULTINOMIAL_VAR_CSTATE_R'



xi: mlogit choice T_contract  $controls_nostate i.$RB1*i.$RB2    if STATE==0 , baseoutcome(1)  rrr

*** MULTINOMIAL COEFFICIENT FOR E
local MULTINOMIAL_COEFF_CNOSTATE_E=_b[E:T_contract]
display `MULTINOMIAL_COEFF_CNOSTATE_E'

local MULTINOMIAL_VAR_CNOSTATE_E=_se[E:T_contract]
display `MULTINOMIAL_VAR_CNOSTATE_E'


*** MULTINOMIAL COEFFICIENT FOR R
local MULTINOMIAL_COEFF_CNOSTATE_R=_b[R:T_contract]
display `MULTINOMIAL_COEFF_CNOSTATE_R'

local MULTINOMIAL_VAR_CNOSTATE_R=_se[R:T_contract]
display `MULTINOMIAL_VAR_CNOSTATE_R'





****************************************************************************************************************************************************************
***TABLE 2 
****************************************************************************************************************************************************************

****** DEPENDENT VARIABLE C
xi: reg  C T_contract  $controls_contract i.$RB1*i.$RB2   if STATE==1 
sum C if STATE==1  & T_contract==0
local depvar = r(mean)
estimates store m1, title(one)
outreg2 using  TABLE_2_PANEL_A, tex(frag) nocons replace ctitle("$ C $") label keep( T_contract    ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar')  adec(2)    

sum C  if STATE==0 & T_contract==0
local depvar = r(mean)

xi: reg  C T_contract   $controls_contract i.$RB1*i.$RB2   if STATE==0 
outreg2 using  TABLE_2_PANEL_B, tex(frag) nocons replace ctitle("$ C $") label keep( T_contract  ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar')  adec(2)    

xi: reg  E T_contract    $controls_contract i.$RB1*i.$RB2  if STATE==1
sum E  if STATE==1 & T_contract==0
local depvar = r(mean)
outreg2 using  TABLE_2_PANEL_A, tex(frag) nocons append ctitle(" $ E $ ") label keep( T_contract    ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', Multinomial coeff., `MULTINOMIAL_COEFF_CSTATE_E', Multinomial SE., `MULTINOMIAL_VAR_CSTATE_E')  adec(2)    

xi: reg  E T_contract    $controls_contract i.$RB1*i.$RB2  if STATE==0
sum E if STATE==1 & T_contract==0
local depvar = r(mean)
outreg2 using  TABLE_2_PANEL_B, tex(frag) nocons append ctitle(" $ E $ ") label keep( T_contract    ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', Multinomial coeff., `MULTINOMIAL_COEFF_CNOSTATE_E', Multinomial SE., `MULTINOMIAL_VAR_CNOSTATE_E')  adec(2)    



****** DEPENDENT VARIABLE R
xi: reg  R T_contract    $controls_contract i.$RB1*i.$RB2  if STATE==1
estimates store m3, title(one)

sum R if STATE==1 & T_contract==0
local depvar = r(mean)

outreg2 using  TABLE_2_PANEL_A, tex(frag) nocons append ctitle(" $ R $ ") label keep( T_contract    ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', Multinomial coeff., `MULTINOMIAL_COEFF_CSTATE_R', Multinomial SE., `MULTINOMIAL_VAR_CSTATE_R')  adec(2)    



xi: reg  R T_contract    $controls_contract i.$RB1*i.$RB2  if STATE==0

sum R if STATE==0 & T_contract==0
local depvar = r(mean)

outreg2 using  TABLE_2_PANEL_B, tex(frag) nocons append ctitle(" $ R $ ") label keep( T_contract    ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', Multinomial coeff., `MULTINOMIAL_COEFF_CNOSTATE_R', Multinomial SE., `MULTINOMIAL_VAR_CNOSTATE_R')  adec(2)    








****** DEPENDENT VARIABLE REPUTATION

sum friends   if STATE==1 & T_contract==0
local depvar = r(mean)

xi: reg  friends T_contract     $controls_contract i.$RB1*i.$RB2    if STATE==1
outreg2  using  TABLE_2_PANEL_A,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar')  adec(2) 


sum friends   if STATE==0 & T_contract==0
local depvar = r(mean)
xi: reg  friends T_contract     $controls_contract i.$RB1*i.$RB2     if STATE==0
outreg2  using  TABLE_2_PANEL_B,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar')  adec(2) 



****** DEPENDENT VARIABLE SHAME

sum shame   if STATE==1 & T_contract==0
local depvar = r(mean)

xi: reg  shame T_contract     $controls_contract i.$RB1*i.$RB2    if STATE==1
outreg2  using  TABLE_2_PANEL_A,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar')  adec(2) 

sum shame   if STATE==0 & T_contract==0
local depvar = r(mean)

xi: reg  shame T_contract     $controls_contract i.$RB1*i.$RB2     if STATE==0
outreg2  using  TABLE_2_PANEL_B,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar')  adec(2) 


****** DEPENDENT VARIABLE VIOLENCE

sum violence   if STATE==1 & T_contract==0
local depvar = r(mean)

xi: reg  violence T_contract     $controls_contract i.$RB1*i.$RB2     if STATE==1
outreg2  using  TABLE_2_PANEL_A,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se addstat(Mean dep., `depvar')  adec(2) 

sum violence   if STATE==0 & T_contract==0
local depvar = r(mean)

xi: reg  violence T_contract     $controls_contract i.$RB1*i.$RB2     if STATE==0
outreg2  using  TABLE_2_PANEL_B,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar')  adec(2) 



****** DEPENDENT VARIABLE PROSECUTION

xi: reg  judic T_contract    $controls_contract i.$RB1*i.$RB2   if STATE==1
sum judic  if STATE==1 & T_contract==0
local depvar = r(mean)
outreg2  using  TABLE_2_PANEL_A,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se addstat(Mean dep., `depvar')  adec(2) 

sum judic  if STATE==0 & T_contract==0
local depvar = r(mean)

xi: reg  judic T_contract    $controls_contract i.$RB1*i.$RB2    if STATE==0
outreg2  using  TABLE_2_PANEL_B,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se addstat(Mean dep., `depvar')  adec(2) 


