
clear
clear mata
clear matrix
clear results
set more off

set matsize 11000

*GLOBALS
***********************
*set path here
*global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"



****************************************************************************************************************************************************************
***TABLE 3 PREPARATION
****************************************************************************************************************************************************************

cd "$OUTPUT"

use "$DATA\ANALYSIS.dta" , clear


xi: mlogit choice T_contract  $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==1 , baseoutcome(1)  rrr

*** MULTINOMIAL COEFFICIENT FOR E
local MULTINOMIAL_COEFF_CCOETH_E=_b[E:T_contract]
display `MULTINOMIAL_COEFF_CCOETH_E'

local MULTINOMIAL_VAR_CCOETH_E=_se[E:T_contract]
display `MULTINOMIAL_VAR_CCOETH_E'


*** MULTINOMIAL COEFFICIENT FOR R
local MULTINOMIAL_COEFF_CCOETH_R=_b[R:T_contract]
display `MULTINOMIAL_COEFF_CCOETH_R'

local MULTINOMIAL_VAR_CCOETH_R=_se[R:T_contract]
display `MULTINOMIAL_VAR_CCOETH_R'





xi: mlogit choice T_contract  $controls_contract i.$RB1*i.$RB2    if COETHNIC==0 , baseoutcome(1)  rrr

*** MULTINOMIAL COEFFICIENT FOR E
local MULTINOMIAL_COEFF_CNCOETH_E=_b[E:T_contract]
display `MULTINOMIAL_COEFF_CNCOETH_E'

local MULTINOMIAL_VAR_CNCOETH_E=_se[E:T_contract]
display `MULTINOMIAL_VAR_CNCOETH_E'


*** MULTINOMIAL COEFFICIENT FOR R
local MULTINOMIAL_COEFF_CNCOETH_R=_b[R:T_contract]
display `MULTINOMIAL_COEFF_CNCOETH_R'

local MULTINOMIAL_VAR_CNCOETH_R=_se[R:T_contract]
display `MULTINOMIAL_VAR_CNCOETH_R'





****************************************************************************************************************************************************************
***TABLE 3 
****************************************************************************************************************************************************************

****** DEPENDENT VARIABLE C

sum C if COETHNIC==0    & T_contract==0
local depvar = r(mean)
xi: reg  C T_contract   $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==0         
estimates store m1
outreg2 using  TABLE_3_PANEL_A, tex(frag) nocons replace ctitle( $ C $ ) label keep( T_contract COETHNIC  ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar')  adec(2)  

sum C if COETHNIC==1      & T_contract==0
local depvar = r(mean)
xi: reg  C T_contract      $controls_contract_coethnic i.$RB1 i.$RB2      if COETHNIC==1         
outreg2 using  TABLE_3_PANEL_B, tex(frag) nocons replace ctitle(  $ C $ ) label keep( T_contract COETHNIC  ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar')  adec(2)   


****** DEPENDENT VARIABLE E

xi: reg  E T_contract  $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==0     
 sum E if COETHNIC==0      & T_contract==0
local depvar = r(mean)
outreg2 using  TABLE_3_PANEL_A, tex(frag) nocons append ctitle(   $ E $ ) label keep( T_contract COETHNIC  ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', Multinomial coeff., `MULTINOMIAL_COEFF_CNCOETH_E', Multinomial SE., `MULTINOMIAL_VAR_CNCOETH_E')  adec(2)   


xi: reg  E T_contract  $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==1     
 sum E if COETHNIC==1      & T_contract==0
local depvar = r(mean)
outreg2 using  TABLE_3_PANEL_B, tex(frag) nocons append ctitle( $ E $ ) label keep( T_contract COETHNIC  ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar',  Multinomial coeff., `MULTINOMIAL_COEFF_CCOETH_E', Multinomial SE., `MULTINOMIAL_VAR_CCOETH_E')  adec(2)   


****** DEPENDENT VARIABLE R

xi: reg  R T_contract  $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==0     
 sum R if COETHNIC==0      & T_contract==0
local depvar = r(mean)
outreg2 using  TABLE_3_PANEL_A, tex(frag) nocons append ctitle(   $ R $ ) label keep( T_contract COETHNIC  ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', Multinomial coeff., `MULTINOMIAL_COEFF_CNCOETH_R', Multinomial SE., `MULTINOMIAL_VAR_CNCOETH_R')  adec(2)   

xi: reg  R T_contract  $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==1     
 sum R if COETHNIC==1      & T_contract==0
local depvar = r(mean)
outreg2 using  TABLE_3_PANEL_B, tex(frag) nocons append ctitle( $ R $ ) label keep( T_contract COETHNIC  ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', Multinomial coeff., `MULTINOMIAL_COEFF_CCOETH_R', Multinomial SE., `MULTINOMIAL_VAR_CCOETH_E')  adec(2)   




 


****** DEPENDENT VARIABLE REPUTATION

sum friends if COETHNIC==0        & T_contract==0   
local depvar = r(mean)

xi: reg  friends T_contract      $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==0         
estimates store m1, title(one)

estimates restore m1
outreg2  using  TABLE_3_PANEL_A,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar') adec(2) 


sum friends if COETHNIC==1         & T_contract==0     
local depvar = r(mean)
xi: reg  friends T_contract         $controls_contract_coethnic i.$RB1 i.$RB2           if COETHNIC==1         
outreg2  using  TABLE_3_PANEL_B,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar') adec(2) 




****** DEPENDENT VARIABLE SHAME

sum shame if COETHNIC==0        & T_contract==0   
local depvar = r(mean)
xi: reg  shame T_contract      $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==0         
outreg2  using  TABLE_3_PANEL_A,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar') adec(2) 


sum shame if COETHNIC==1         & T_contract==0     
local depvar = r(mean)
xi: reg  shame T_contract         $controls_contract_coethnic i.$RB1 i.$RB2           if COETHNIC==1        
outreg2  using  TABLE_3_PANEL_B,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar') adec(2) 




****** DEPENDENT VARIABLE VIOLENCE

sum violence if COETHNIC==0         & T_contract==0     
local depvar = r(mean)
xi: reg  violence T_contract         $controls_contract_coethnic i.$RB1 i.$RB2           if COETHNIC==0        
outreg2  using  TABLE_3_PANEL_A,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se addstat(Mean dep., `depvar') adec(2) 


sum violence if COETHNIC==1         & T_contract==0     
local depvar = r(mean)
xi: reg  violence T_contract         $controls_contract_coethnic i.$RB1 i.$RB2           if COETHNIC==1        
outreg2  using  TABLE_3_PANEL_B,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar') adec(2) 




****** DEPENDENT VARIABLE PROSECUTION

sum judic if COETHNIC==0    & T_contract==0   
local depvar = r(mean)
xi: reg  judic T_contract      $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==0         
outreg2  using  TABLE_3_PANEL_A,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar') adec(2) 

sum judic if COETHNIC==1       & T_contract==0   
local depvar = r(mean)
xi: reg  judic T_contract       $controls_contract_coethnic i.$RB1 i.$RB2           if COETHNIC==1         
outreg2  using  TABLE_3_PANEL_B,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar') adec(2) 
