
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
*global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"


****************************************************************************************************************************************************************
***TABLE 5
****************************************************************************************************************************************************************

cd "$OUTPUT"


****************************************************************************************************************************************************************
***TABLE 5 PREPARATIONS: IV FOR CONTRACT SIGNING
****************************************************************************************************************************************************************

clear all
use "$DATA\ANALYSIS.dta", clear

replace equipe=2 if equipe==3
replace equipe=2 if equipe==4


reg CONTRACT_SIGN T_contract  $controls_contract i.$RB1 i.$RB2   if STATE==1  & B1==1 

**repay
xi: ivreghdfe  E (CONTRACT_SIGN=T_contract)    $controls_contract i.$RB1 i.$RB2   if STATE==1  & B1==1 
estimates store iv1, title(two)
local efffstat=r(F_eff)
local efffstat=e(cdf)

display `efffstat'

  global tm =  _b[CONTRACT_SIGN]
    lincom _b[CONTRACT_SIGN]
	return list
   global tm_pval =  r(p)
   


   
xi: ivreghdfe  E (CONTRACT_SIGN=T_contract)    $controls_contract i.$RB1 i.$RB2   if STATE==0    & B1==1
estimates store iv2, title(two)
  global tf =  _b[CONTRACT_SIGN]
 lincom _b[CONTRACT_SIGN]
  return list
   global tf_pval =  r(p)


	
 
   
program define mf, rclass
xi: ivreghdfe  E (CONTRACT_SIGN=T_contract)    $controls_contract i.$RB1 i.$RB2   if STATE==1  & B1==1 
  local tm =  _b[CONTRACT_SIGN]

xi: ivreghdfe  E (CONTRACT_SIGN=T_contract)    $controls_contract i.$RB1 i.$RB2   if STATE==0    & B1==1
  local tf =  _b[CONTRACT_SIGN]
  return scalar dif = `tm'-`tf' 
end
mf






***FOR COLUMNS 4-6
******************
clear all
use "$DATA\ANALYSIS.dta", clear
keep if HOUSEHOLD_STATE==1
keep if HH_OCCUPATION_PUBLIC==0


**repay
xi: ivreghdfe  E (CONTRACT_SIGN=T_contract)    $controls_contract i.$RB1 i.$RB2   if STATE==1  & B1==1 
  global tm_T =  _b[CONTRACT_SIGN]
    lincom _b[CONTRACT_SIGN]
	return list
   global tm_T_pval =  r(p)
xi: ivreghdfe  E (CONTRACT_SIGN=T_contract)    $controls_contract i.$RB1 i.$RB2   if STATE==0    & B1==1
  global tf_T =  _b[CONTRACT_SIGN]
 lincom _b[CONTRACT_SIGN]
  return list
   global tf_T_pval =  r(p)

   
   


***FOR COLUMNS 7-9
******************

clear all
use "$DATA\ANALYSIS.dta", clear
keep if HOUSEHOLD_STATE==1

**repay
xi: ivreghdfe  E (CONTRACT_SIGN=T_contract)   $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==0  & B1==1 
  global tm_c =  _b[CONTRACT_SIGN]
    lincom _b[CONTRACT_SIGN]
	return list
   global tm_c_pval =  r(p)

  xi: ivreghdfe  E (CONTRACT_SIGN=T_contract)    $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==1    & B1==1
  global tf_c =  _b[CONTRACT_SIGN]
 lincom _b[CONTRACT_SIGN]
  return list
   global tf_c_pval =  r(p)

   



****************************************************************************************************************************************************************
***TABLE 5 PREPARATIONS: Adj coeff locals, cols 1-3
****************************************************************************************************************************************************************
use "$DATA\ANALYSIS.dta" , clear

replace equipe=2 if equipe==3
replace equipe=2 if equipe==4

gen SOCIAL_DIVISION=STATE
label var SOCIAL_DIVISION "State-favored (or co-ethnic)"


*alpha1 S
sum E if STATE==1 & T_contract==0
local alpha1= r(mean)
display `alpha1'

*alpha1 NS
sum E if STATE==0 & T_contract==0
local alpha1_NS=  r(mean)

*alpha 2 S
sum B2 if STATE==1  & T_contract==0
local alpha2 = 1-r(mean)

*alpha2 NS
sum B2  if STATE==0 & T_contract==0
local alpha2_NS = 1-r(mean)

*alpha 4 S
xi: reg  R T_contract  $controls_contract i.$RB1*i.$RB2   if STATE==1 
local alpha4 = _b[T_contract]

*alpha 4 NS
xi: reg  R T_contract   $controls_contract i.$RB1*i.$RB2   if STATE==0 
local alpha4_NS = _b[T_contract]


local ADJ=  `alpha1' * `alpha4' / (1-`alpha2'-`alpha4') 
local DEN=  (1-`alpha2') * (1-`alpha2_NS')
local NUM=  `alpha2' - `alpha2_NS'  
local substract= `NUM' / `DEN'





****************************************************************************************************************************************************************
*This excludes buyers who initially reject
keep if  B1==1
****************************************************************************************************************************************************************

****************************************************************************************************************************************************************
***TABLE 5 CORE: COLUMNS 1-3
****************************************************************************************************************************************************************


*Column 1
*********

*Coefficient controlling for price
xi: reg  E T_contract  qs0_price_debit  $controls_state i.$RB1*i.$RB2  if STATE==1
local beta_control = _b[T_contract]
testnl _b[T_contract]  = 0
local beta_p = r(p)


*Mean dependent variable
*xi: reg  E T_contract    $controls_state i.$RB1*i.$RB2  if STATE==1
sum E if STATE==1 & T_contract==0
local depvar = r(mean)


******  Adj. coeff.
local COEFF_ADJ = _b[T_contract] - `ADJ' / ( 1 - `alpha2' )
testnl _b[T_contract] - `ADJ' / ( 1 - `alpha2' ) = 0
local corrpval_S = r(p)

*Main regression
xi: reg  E T_contract    $controls_state i.$RB1*i.$RB2  if STATE==1 
outreg2  using  TABLE_5,   ctitle("$ \frac{E}{E \cup C} $")   tex(frag) nocons replace label keep( T_contract ) dec(2)  noaster  nonote   se  addstat(Mean dep., `depvar', Controls coeff., `beta_control', Controls p, `beta_p', IV coeff., "$tm", IV p, "$tm_pval", Adj. coeff., `COEFF_ADJ', Adj. p, `corrpval_S') adec(2)




*Column 2
*********

*Mean dependent variable
sum E if STATE==0 & T_contract==0 
local depvar = r(mean)


*Coefficient controlling for price
xi: reg  E T_contract  qs0_price_debit  $controls_state i.$RB1*i.$RB2  if STATE==0
local beta_control = _b[T_contract]
testnl _b[T_contract]  = 0
local beta_p = r(p)


*Coefficient main regression, state-favored, for comparison
xi: reg  E T_contract    $controls_state i.$RB1*i.$RB2  if STATE==1 
estimates store m3, title(one)

*Coefficient main regression disfavored
xi: reg  E T_contract    $controls_state i.$RB1*i.$RB2   if STATE==0  
estimates store m4, title(two)

*Comparison of columns 1 and 2
suest m3 m4, noomitted
estimates store suesttest
lincom [m4_mean]T_contract - [m3_mean]T_contract 
local pval = r(p)
local est=r(estimate)
estimates restore m4

******  Adj. coeff.
local ADJ_NS=  `alpha1' * `alpha4' / (1-`alpha2'-`alpha4') 
local COEFF_ADJ_NS = _b[T_contract] - `ADJ_NS' / ( 1 - `alpha2' )
display `COEFF_ADJ_NS'

******  Adj. pval.
testnl _b[T_contract] - `ADJ_NS' / ( 1 - `alpha2' ) = 0
local corrpval_NS = r(p)

*Main regression
estimates restore m4
outreg2  using  TABLE_5,   ctitle("$ \frac{E}{E \cup C} $")  tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote     se  addstat(Mean dep., `depvar',  Controls coeff., `beta_control', Controls p, `beta_p', IV coeff., "$tf", IV p, "$tf_pval", Adj. coeff., `COEFF_ADJ_NS', Adj. p, `corrpval_NS', Diff. est, `est', Diff. p, `pval')  adec(2) 





*Column 3
*********

*Coefficient controlling for price
xi: reg  E SOCIAL_DIVISION  qs0_price_debit $controls_state   i.$RB0 i.$RB2      if T_contract==0   
local beta_control = _b[SOCIAL_DIVISION]
testnl _b[SOCIAL_DIVISION]  = 0
local beta_p = r(p)


xi: reg  E SOCIAL_DIVISION  $controls_state   i.$RB0 i.$RB2      if T_contract==0   
sum E  if T_contract==0  & STATE==0   
local depvar = r(mean)
estimates store m1, title(one)

******  Adj. coeff.
estimates restore m1
local COEFF_ADJ_SS = _b[SOCIAL_DIVISION] - `alpha1_NS'  * `substract'

******  Adj. pval.
testnl _b[SOCIAL_DIVISION] - `alpha1_NS'  * `substract' = 0
local corrpval_SS = r(p)

*Main regression
outreg2 using  TABLE_5, tex(frag) nocons  ctitle("$ \frac{E}{E \cup C} $") append keep(     SOCIAL_DIVISION) dec(2)  noaster  nonote  addstat(Mean dep., `depvar',  Controls coeff., `beta_control', Controls p, `beta_p', Adj. coeff., `COEFF_ADJ_SS', Adj. p, `corrpval_SS')  adec(2)   




****************************************************************************************************************************************************************
***TABLE 5 CORE: COLUMNS 4-6
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta" , clear

replace equipe=2 if equipe==3
replace equipe=2 if equipe==4

gen SOCIAL_DIVISION=STATE
label var SOCIAL_DIVISION "State-favored (or co-ethnic)"

****************************************************************************************************************************************************************
*This excludes self-selected buyers
keep if HOUSEHOLD_STATE==1
keep if HH_OCCUPATION_PUBLIC==0
****************************************************************************************************************************************************************


****************************************************************************************************************************************************************
***TABLE 5 PREPARATIONS: Adj coeff locals, cols 1-3
****************************************************************************************************************************************************************


*alpha 1 S
sum E if STATE==1 & T_contract==0
local alpha1= r(mean)
display `alpha1'

*alpha 1 NS
sum E if STATE==0 & T_contract==0
local alpha1_NS=  r(mean)

*alpha 2 S
sum B2 if STATE==1  & T_contract==0
local alpha2 = 1-r(mean)

*alpha 2 NS
sum B2  if STATE==0 & T_contract==0
local alpha2_NS = 1-r(mean)

*alpha 4 S
xi: reg  R T_contract  $controls_contract i.$RB1*i.$RB2   if STATE==1 
local alpha4 = _b[T_contract]

*alpha 4 NS
xi: reg  R T_contract   $controls_contract i.$RB1*i.$RB2   if STATE==0 
local alpha4_NS = _b[T_contract]

*Locals
local ADJ=  `alpha1' * `alpha4' / (1-`alpha2'-`alpha4') 
local DEN=  (1-`alpha2') * (1-`alpha2_NS')
local NUM=  `alpha2' - `alpha2_NS'  
local substract= `NUM' / `DEN'
local ADJ_NS=  `alpha1' * `alpha4' / (1-`alpha2'-`alpha4') 





****************************************************************************************************************************************************************
*This excludes buyers who initially reject
keep if  B1==1
****************************************************************************************************************************************************************

****************************************************************************************************************************************************************
***TABLE 5 CORE: COLUMNS 3-6
****************************************************************************************************************************************************************

*Column 4
*********

*Coefficient controlling for price
xi: reg E T_contract    $controls_state i.$RB1*i.$RB2 qs0_price_debit  WEIRD HEARDOF HH_WORKFOR_FOR HH_WORKFOR_STATE  if STATE==1
local beta_control = _b[T_contract]
testnl _b[T_contract]  = 0
local beta_p = r(p)


xi: reg  E T_contract    $controls_state i.$RB1*i.$RB2  if STATE==1

*Mean dependent variable
sum E if STATE==1 & T_contract==0
local depvar = r(mean)


******  Adj. coeff.
local COEFF_ADJ = _b[T_contract] - `ADJ' / ( 1 - `alpha2' )
testnl _b[T_contract] - `ADJ' / ( 1 - `alpha2' ) = 0
local corrpval_S = r(p)

*Main regression
xi: reg  E T_contract    $controls_state i.$RB1*i.$RB2  if STATE==1 
outreg2  using  TABLE_5,   ctitle("$ \frac{E}{E \cup C} $")   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote   se  addstat(Mean dep., `depvar', Controls coeff., `beta_control', Controls p, `beta_p',  IV coeff., "$tm_T", IV p, "$tm_T_pval", Adj. coeff., `COEFF_ADJ', Adj. p, `corrpval_S') adec(2)





*Column 5
*********

*Mean dependent variable
sum E if STATE==0 & T_contract==0 
local depvar = r(mean)


*Coefficient controlling for price
xi: reg E T_contract    $controls_state i.$RB1*i.$RB2 qs0_price_debit WEIRD HEARDOF HH_WORKFOR_FOR HH_WORKFOR_STATE if STATE==0
local beta_control = _b[T_contract]
testnl _b[T_contract]  = 0
local beta_p = r(p)


*Coefficient main regression, state-favored, for comparison
xi: reg  E T_contract    $controls_state i.$RB1*i.$RB2  if STATE==1 
estimates store m3, title(one)

*Coefficient main regression, disfavored
xi: reg  E T_contract    $controls_state i.$RB1*i.$RB2   if STATE==0  
estimates store m4, title(two)

*Comparison columns 4 and 5
suest m3 m4, noomitted
estimates store suesttest
lincom [m4_mean]T_contract - [m3_mean]T_contract 
local pval = r(p)
local est=r(estimate)

estimates restore m4

******  Adj. coeff.
local COEFF_ADJ_NS = _b[T_contract] - `ADJ_NS' / ( 1 - `alpha2' )
display `COEFF_ADJ_NS'

******  Adj. pval.
testnl _b[T_contract] - `ADJ_NS' / ( 1 - `alpha2' ) = 0
local corrpval_NS = r(p)


*Main regression
estimates restore m4
outreg2  using  TABLE_5,   ctitle("$ \frac{E}{E \cup C} $")  tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote     se  addstat(Mean dep., `depvar',  Controls coeff., `beta_control', Controls p, `beta_p',  IV coeff., "$tf_T", IV p, "$tf_T_pval", Adj. coeff., `COEFF_ADJ_NS', Adj. p, `corrpval_NS', Diff. est, `est', Diff. p, `pval')  adec(2) 



*Column 6
*********
*Coefficient controlling for price
xi: reg  E SOCIAL_DIVISION  qs0_price_debit $controls_state   WEIRD HEARDOF HH_WORKFOR_FOR HH_WORKFOR_STATE  i.$RB0 i.$RB2      if T_contract==0   
local beta_control = _b[SOCIAL_DIVISION]
testnl _b[SOCIAL_DIVISION]  = 0
local beta_p = r(p)


*Main regression
xi: reg  E SOCIAL_DIVISION  $controls_state   i.$RB0 i.$RB2      if T_contract==0   
sum E  if T_contract==0  & STATE==0   
local depvar = r(mean)
estimates store m1, title(one)

******  Adj. coeff.
estimates restore m1
local COEFF_ADJ_SS = _b[SOCIAL_DIVISION] - `alpha1_NS'  * `substract'
display `COEFF_ADJ_SS'

******  Adj. p-val.
testnl _b[SOCIAL_DIVISION] - `alpha1_NS'  * `substract' = 0
local corrpval_SS = r(p)

outreg2 using  TABLE_5, tex(frag) nocons  ctitle("$ \frac{E}{E \cup C} $") append keep(     SOCIAL_DIVISION) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', Controls coeff., `beta_control', Controls p, `beta_p',  Adj. coeff., `COEFF_ADJ_SS', Adj. p, `corrpval_SS')  adec(2)   






****************************************************************************************************************************************************************
***TABLE 5 CORE: COLUMNS 7-9
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta" , clear

replace equipe=2 if equipe==3
replace equipe=2 if equipe==4

label var COETHNIC "Co-ethnic"
gen SOCIAL_DIVISION=COETHNIC
label var SOCIAL_DIVISION "State-favored (or co-ethnic)"


****************************************************************************************************************************************************************
***TABLE 5 PREPARATIONS: Adj coeff locals, cols 7-9
****************************************************************************************************************************************************************

*alpha 1 C
sum E   if COETHNIC==1       & T_contract==0 
local depvar = r(mean)
local alpha1_C= `depvar'

*alpha 1 NC
sum E if COETHNIC==0         & T_contract==0 
local depvar = r(mean)
local alpha1_NC= `depvar'

*alpha 2 NC
sum B2 if COETHNIC==0    & T_contract==0
local depvar = r(mean)
local alpha2_NC = 1-`depvar'

*alpha 2 C
sum B2 if COETHNIC==1      & T_contract==0
local depvar = r(mean)
local alpha2_C = 1-`depvar'


*alpha 4 C
xi: reg  R T_contract  $controls_contract_coethnic i.$RB1 i.$RB2    if COETHNIC==1 
local alpha4_C = _b[T_contract]

*alpha 4 NC
xi: reg  R T_contract  $controls_contract_coethnic i.$RB1 i.$RB2    if COETHNIC==0
local alpha4_NC = _b[T_contract]




*Locals
local DEN=  (1-`alpha2_C') * (1-`alpha2_NC')
local NUM=  `alpha2_C' - `alpha2_NC'  
local substract= `NUM' / `DEN'

local ADJ_C=  `alpha1_C' * `alpha4_C' / (1-`alpha2_C'-`alpha4_C') 
local ADJ_NC=  `alpha1_NC' * `alpha4_NC' / (1-`alpha2_NC'-`alpha4_NC') 
local COEFF_ADJ_NC = _b[T_contract] - `ADJ_NC' / ( 1 - `alpha2_NC' )




****************************************************************************************************************************************************************
*This excludes buyers who initially reject
keep if  B1==1
****************************************************************************************************************************************************************

****************************************************************************************************************************************************************
***TABLE 5 CORE: COLUMNS 7-9
****************************************************************************************************************************************************************


*Column 7
*********

sum C if COETHNIC==0    & T_contract==0
local depvar = r(mean)
xi: reg  C T_contract   $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==0         
estimates store m1

******  for Adj. coeff.
estimates restore m1

sum C if COETHNIC==1    & T_contract==0
local depvar = r(mean)
xi: reg  C T_contract   $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==1         
estimates store m1

******  for Adj. coeff.
estimates restore m1



*Coefficient controlling for price
xi: reg  E    qs0_price_debit T_contract   $controls_contract_coethnic i.$RB1 i.$RB2    qs0_price_debit WEIRD HEARDOF HH_WORKFOR_FOR HH_WORKFOR_STATE   if COETHNIC==0  
local beta_control = _b[T_contract]
testnl _b[T_contract]  = 0
local beta_p = r(p)




*Mean dependent variable
sum E if COETHNIC==0         & T_contract==0  
local depvar = r(mean)

*Main regression
xi: reg  E T_contract  $controls_contract_coethnic i.$RB1 i.$RB2     if COETHNIC==0  
estimates store m1

******  Adj. coeff.
testnl  _b[T_contract] - `ADJ_NC' / ( 1 - `alpha2_NC' ) = 0
local corrpval_NC = r(p)

outreg2  using  TABLE_5,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar', Controls coeff., `beta_control', Controls p, `beta_p',  IV coeff.,  "$tm_c" , IV p,  $tm_c_pval, Adj. coeff., `COEFF_ADJ_NC', Adj. p, `corrpval_NC')  adec(2) 





*Column 8
*********


*Coefficient controlling for price
xi: reg  E     qs0_price_debit T_contract  $controls_contract_coethnic i.$RB1 i.$RB2    qs0_price_debit WEIRD HEARDOF HH_WORKFOR_FOR HH_WORKFOR_STATE   if COETHNIC==1  
local beta_control = _b[T_contract]
testnl _b[T_contract]  = 0
local beta_p = r(p)

*Mean dependent variable
sum E   if COETHNIC==1       & T_contract==0  
local depvar = r(mean)


*Main regression
xi: reg  E T_contract     $controls_contract_coethnic i.$RB1 i.$RB2      if COETHNIC==1     
estimates store m2

*Comparison columns 7 and 8
suest m2 m1, noomitted
lincom [m2_mean]T_contract - [m1_mean]T_contract 
local pval = r(p)
local est=r(estimate)


******  Adj. coeff.
estimates restore m2
local COEFF_ADJ_C = _b[T_contract] - `ADJ_C' / ( 1 - `alpha2_C' )
testnl  _b[T_contract] - `ADJ_C' / ( 1 - `alpha2_C' ) = 0
local corrpval_C = r(p)


estimates restore m2
outreg2  using  TABLE_5,   tex(frag) nocons append label keep( T_contract ) dec(2)  noaster  nonote      se  addstat(Mean dep., `depvar',  Controls coeff., `beta_control', Controls p, `beta_p',   IV coeff.,  "$tf_c" , IV p,  $tf_c_pval ,   Adj. coeff., `COEFF_ADJ_C', Adj. p, `corrpval_C', Diff. est, `est', Diff. p, `pval' ) adec(2) 




*Column 9
*********

*Coefficient controlling for price
xi: reg  E SOCIAL_DIVISION  qs0_price_debit  $controls_coethnic    qs0_price_debit WEIRD HEARDOF HH_WORKFOR_FOR HH_WORKFOR_STATE  if T_contract==0   
local beta_control = _b[SOCIAL_DIVISION]
testnl _b[SOCIAL_DIVISION]  = 0
local beta_p = r(p)

*Main regression
xi: reg  E SOCIAL_DIVISION       $controls_coethnic      if   T_contract==0 

******  Adj. coeff.
local COEFF_ADJ_CC = _b[SOCIAL_DIVISION] - `alpha1_NC'  * `substract'

******  Adj. pval.
testnl _b[SOCIAL_DIVISION] - `alpha1_NC'  * `substract' = 0
local corrpval_CC = r(p)

*Mean dependent variable
sum E if  COETHNIC==0 & T_contract==0
local depvar = r(mean)

*Main regression
xi: reg  E SOCIAL_DIVISION       $controls_coethnic      if T_contract==0 
outreg2 using  TABLE_5, tex(frag) nocons append ctitle("$ \frac{E}{E \cup C} $") label keep( T_contract SOCIAL_DIVISION) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', Controls coeff., `beta_control', Controls p, `beta_p',  Adj. coeff., `COEFF_ADJ_CC', Adj. p, `corrpval_CC')  adec(2)  
