
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"


****************************************************************************************************************************************************************
***TABLE A2 PANEL A
****************************************************************************************************************************************************************

***TYPE OF SALE
***************
***************
use "$DATA\PERCEPTIONS SURVEY.dta", clear



texdoc init TABLE_A2_PANEL_A.tex, replace force

tex \resizebox{\textwidth}{!}{ 
tex \begin{tabular}{lcc}

tex \toprule
tex & \textbf{Mean} & \textbf{N} \\
tex \midrule
tex \textbf{A: Beliefs about sale design}  \\


foreach var of varlist contract7_2 contract8_11 {
	
	local varlabel : var label `var'

	sum `var'

	local m_`var' = string(`r(mean)', "%04.2f")
	local N_`var' = round(`r(N)')
	

	tex `varlabel' & `m_`var'' & `N_`var''\\

}

tex \\
tex \textbf{B: Beliefs about governance of informal agreements}  \\

foreach var of varlist trader_informal1 THREAT_REPUTATION_FULL THREAT_PHYSICAL THREAT_PHYSICAL_STATE THREAT_LEGAL {
	
	local varlabel : var label `var'

	sum `var'

	local m_`var' = string(`r(mean)', "%04.2f")
	local N_`var' = round(`r(N)')
	
	
	tex `varlabel' & `m_`var'' & `N_`var''\\

}

tex \\
tex \textbf{C: Beliefs about governance of formalized agreements}  \\

foreach var of varlist contract21 contract11 contract6_1 contract_THREAT_REP_FULL contract_THREAT_LYNCHING contract_THREAT_ILLEGAL_STATE contract_THREAT_LEGAL_STATE {
	
	local varlabel : var label `var'

	sum `var'

	local m_`var' = string(`r(mean)', "%04.2f")
	local N_`var' = round(`r(N)')
	
	
	tex `varlabel' & `m_`var'' & `N_`var''\\

}

tex \bottomrule 
tex \end{tabular}

tex }

texdoc close

