
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
********
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"



****************************************************************************************************************************************************************
***TABLE A4, PANEL A
****************************************************************************************************************************************************************

cd "$OUTPUT"

use "$DATA\ANALYSIS.dta" , clear

label var judic "Believes prosecution is likely"


reghdfe   judic T_contract  if STATE==1, absorb($RB1 $RB2 $controls_contract)
local Fval =e(F)

xi: ivreg2  C (judic=T_contract)  $controls_contract i.$RB1 i.$RB2   if STATE==1 , partial($controls_contract i.$RB1 i.$RB2)
local widstat=e(widstat)
weakivtest
local efffstat=r(F_eff)
local efffstat=e(cdf)
sum C if STATE==1  & T_contract==0
local depvar = r(mean)
estimates store m1, title(one)
outreg2 using  TABLE_A4_PANEL_A, tex(frag) nocons replace ctitle("$ C $") label keep( judic    ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', First stage effective F stat., `efffstat' )  adec(2)    


sum E  if STATE==0 & T_contract==0
local depvar = r(mean)


xi: ivreg2  E (judic=T_contract)    $controls_contract i.$RB1 i.$RB2   if STATE==1 , partial($controls_contract i.$RB1 i.$RB2)
local widstat=e(widstat)
local efffstat=e(cdf)
sum C  if STATE==0 & T_contract==0
local depvar = r(mean)
outreg2 using  TABLE_A4_PANEL_A, tex(frag) nocons append ctitle("$ E $") label keep(judic) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', First stage effective F stat., `efffstat' )  adec(2)    





******E

xi: ivreg2  R (judic=T_contract)    $controls_contract i.$RB1 i.$RB2   if STATE==1 , partial($controls_contract i.$RB1 i.$RB2)
local widstat=e(widstat)
local efffstat=e(cdf)
sum R  if STATE==0 & T_contract==1
local depvar = r(mean)
outreg2 using  TABLE_A4_PANEL_A, tex(frag) nocons append ctitle("$ R $") label keep(judic) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', First stage effective F stat., `efffstat' )  adec(2)    

****** E/EU

keep if B1==1

reghdfe   judic T_contract  if STATE==1, absorb($RB1 $RB2 $controls_contract)
local Fval =e(F)


xi: ivreg2  E (judic=T_contract)      $controls_contract i.$RB1 i.$RB2  if STATE==1 , partial($controls_contract i.$RB1 i.$RB2)
local widstat=e(widstat)
local efffstat=e(cdf)

sum E if STATE==1 & T_contract==0
local depvar = r(mean)




outreg2 using  TABLE_A4_PANEL_A, tex(frag) nocons append ctitle("$ \frac{E}{E \cup C} $") label keep( judic  ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', First stage effective F stat., `efffstat' )  adec(2)  
















****************************************************************************************************************************************************************
***TABLE A4, PANEL B
****************************************************************************************************************************************************************

cd "$OUTPUT"

use "$DATA\ANALYSIS.dta" , clear


keep if HOUSEHOLD_STATE==1

label var REP "Believes intra-ethnic sanctions are likely"


reghdfe   REP COETHNIC  if STATE==1 & T_contract==0, absorb($controls_coethnic)
local Fval =e(F)

xi: ivreg2  C (REP=COETHNIC)  if T_contract==0  & STATE==1
local widstat=e(widstat)
local efffstat=r(F_eff)
local efffstat=e(cdf)
sum C if COETHNIC==0  & T_contract==0
local depvar = r(mean)


estimates store m1, title(one)
outreg2 using  TABLE_A4_PANEL_B, tex(frag) nocons replace ctitle("$ C $") label keep( REP    ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', First stage effective F stat., `efffstat' )  adec(2)     




xi: ivreg2  E (REP=COETHNIC) $controls_coethnic if T_contract==0 , partial($controls_coethnic)
local widstat=e(widstat)
local efffstat=r(F_eff)
local efffstat=e(cdf)
sum E if COETHNIC==0  & T_contract==0
local depvar = r(mean)
estimates store m1, title(one)
outreg2 using  TABLE_A4_PANEL_B, tex(frag) nocons append ctitle("$ E $") label keep( REP    ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', First stage effective F stat., `efffstat' )  adec(2)     



xi: ivreg2  R (REP=COETHNIC)  $controls_coethnic if T_contract==0 , partial($controls_coethnic)
local widstat=e(widstat)
local efffstat=r(F_eff)
local efffstat=e(cdf)
sum R if COETHNIC==0  & T_contract==0
local depvar = r(mean)
estimates store m1, title(one)
outreg2 using  TABLE_A4_PANEL_B, tex(frag) nocons append ctitle("$ R $") label keep( REP    ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', First stage effective F stat., `efffstat' )  adec(2)     




****** E/EU
keep if B1==1

reghdfe   REP COETHNIC $controls_coethnic if STATE==1 & T_contract==0, noabsorb
local Fval =e(F)


xi: ivreg2  E (REP=COETHNIC)  $controls_coethnic if T_contract==0  , partial($controls_coethnic)
local widstat=e(widstat)
*weakivtest
local efffstat=e(cdf)

sum E if STATE==1 & T_contract==0
local depvar = r(mean)


estimates store m3, title(one)


outreg2 using  TABLE_A4_PANEL_B, tex(frag) nocons append ctitle(" $ \frac{E}{E \cup C} $ ") label keep( REP  ) dec(2)  noaster  nonote  addstat(Mean dep., `depvar', First stage effective F stat., `efffstat' )  adec(2)     



  

