
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
********
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"

****************************************************************************************************************************************************************
***TABLE A5
****************************************************************************************************************************************************************

use "$DATA\ANALYSIS.dta", clear
replace COETHNIC=0 if STATE==0 | HOUSEHOLD_STATE==0
cd "$overleaf"
keep if HOUSEHOLD_STATE==1

gen T_contractXSTATE = T_contract * STATE

xi: reg B2 STATE COETHNIC T_contract T_contractXSTATE COETHNIC_X_CONTRACT 

local alpha_b = _b[_cons]
local beta_s_b = _b[STATE] 
local beta_c_b = _b[COETHNIC]
local beta_f_b = _b[T_contract]
local beta_fs_b = _b[T_contractXSTATE]
local beta_fc_b = _b[COETHNIC_X_CONTRACT]

estimates store b

xi: reg E STATE COETHNIC T_contract T_contractXSTATE COETHNIC_X_CONTRACT if B1==1

local alpha_p = _b[_cons]
local beta_s_p = _b[STATE] 
local beta_c_p = _b[COETHNIC]
local beta_f_p = _b[T_contract]
local beta_fs_p = _b[T_contractXSTATE]
local beta_fc_p = _b[COETHNIC_X_CONTRACT]

estimates store p

suest b p

* test alpha1 - alpha5

* alpha1
testnl [p_mean]_cons*([b_mean]_cons+[b_mean]T_contract) = 0
local a_11 = string([p_mean]_cons*[b_mean]_cons+[b_mean]T_contract, "%04.2f")
local p_11 = string(r(p), "%04.2f")
local p_11 = "(" + "`p_11'" + ")"

testnl ([p_mean]_cons+[p_mean]STATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE) = 0
local a_12 = string(([p_mean]_cons+[p_mean]STATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE), "%04.2f")
local p_12 = string(r(p), "%04.2f")
local p_12 = "(" + "`p_12'" + ")"

testnl ([p_mean]_cons+[p_mean]STATE+[p_mean]COETHNIC)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT) = 0
local a_13 = string(([p_mean]_cons+[p_mean]STATE+[p_mean]COETHNIC)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT), "%04.2f")
local p_13 = string(r(p), "%04.2f")
local p_13 = "(" + "`p_13'" + ")"

* alpha2
testnl 1-[b_mean]_cons = 0
local a_21 = string(1-[b_mean]_cons, "%04.2f")
local p_21 = string(r(p), "%04.2f")
local p_21 = "(" + "`p_21'" + ")"

testnl 1-[b_mean]_cons - [b_mean]STATE = 0
local a_22 = string(1-[b_mean]_cons - [b_mean]STATE, "%04.2f")
local p_22 = string(r(p), "%04.2f")
local p_22 = "(" + "`p_22'" + ")"

testnl 1-[b_mean]_cons - [b_mean]STATE - [b_mean]COETHNIC = 0
local a_23 = string(1-[b_mean]_cons - [b_mean]STATE - [b_mean]COETHNIC, "%04.2f")
local p_23 = string(r(p), "%04.2f")
local p_23 = "(" + "`p_23'" + ")"

* alpha3
testnl [p_mean]T_contract*([b_mean]_cons+[b_mean]T_contract) = 0
local a_31 = string([p_mean]T_contract*([b_mean]_cons+[b_mean]T_contract), "%04.2f")
local p_31 = string(r(p), "%04.2f")
local p_31 = "(" + "`p_31'" + ")"

testnl ([p_mean]T_contract+[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE) = 0
local a_32 = string(([p_mean]T_contract+[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE), "%04.2f")
local p_32 = string(r(p), "%04.2f")
local p_32 = "(" + "`p_32'" + ")"

testnl ([p_mean]T_contract+[p_mean]T_contractXSTATE+[p_mean]COETHNIC_X_CONTRACT)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT) = 0
local a_33 = string(([p_mean]T_contract+[p_mean]T_contractXSTATE+[p_mean]COETHNIC_X_CONTRACT)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT), "%04.2f")
local p_33 = string(r(p), "%04.2f")
local p_33 = "(" + "`p_33'" + ")"

* alpha4
testnl (-[b_mean]T_contract) = 0
local a_41 = string(-[b_mean]T_contract, "%04.2f")
local p_41 = string(r(p), "%04.2f")
local p_41 = "(" + "`p_41'" + ")"

testnl (-[b_mean]T_contract-[b_mean]T_contractXSTATE) = 0
local a_42 = string(-[b_mean]T_contract-[b_mean]T_contractXSTATE, "%04.2f")
local p_42 = string(r(p), "%04.2f")
local p_42 = "(" + "`p_42'" + ")"

testnl (-[b_mean]T_contract-[b_mean]T_contractXSTATE-[b_mean]COETHNIC_X_CONTRACT) = 0
local a_43 = string(-[b_mean]T_contract-[b_mean]T_contractXSTATE-[b_mean]COETHNIC_X_CONTRACT, "%04.2f")
local p_43 = string(r(p), "%04.2f")
local p_43 = "(" + "`p_43'" + ")"

* alpha5
testnl (1-[p_mean]_cons-[p_mean]T_contract)*([b_mean]_cons+[b_mean]T_contract) = 0
local a_51 = string((1-[p_mean]_cons-[p_mean]T_contract)*([b_mean]_cons+[b_mean]T_contract), "%04.2f")
local p_51 = string(r(p), "%04.2f")
local p_51 = "(" + "`p_51'" + ")"

testnl (1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE) = 0
local a_52 = string((1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE), "%04.2f")
local p_52 = string(r(p), "%04.2f")
local p_52 = "(" + "`p_52'" + ")"

testnl (1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE-[p_mean]COETHNIC-[p_mean]COETHNIC_X_CONTRACT)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT) = 0
local a_53 = string((1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE-[p_mean]COETHNIC-[p_mean]COETHNIC_X_CONTRACT)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT), "%04.2f")
local p_53 = string(r(p), "%04.2f")
local p_53 = "(" + "`p_53'" + ")"

* test across groups

* alpha1 
* 2 - 1
testnl [p_mean]_cons*([b_mean]_cons+[b_mean]T_contract) = ([p_mean]_cons+[p_mean]STATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE)
local d_11 = ([p_mean]_cons+[p_mean]STATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE) - ([p_mean]_cons*([b_mean]_cons+[b_mean]T_contract))
local t_11 = r(p)

* 3 - 2
testnl ([p_mean]_cons+[p_mean]STATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE) = ([p_mean]_cons+[p_mean]STATE+[p_mean]COETHNIC)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT)
local d_12 = ([p_mean]_cons+[p_mean]STATE+[p_mean]COETHNIC)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT) - (([p_mean]_cons+[p_mean]STATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE))
local t_12 = r(p)

* alpha 2
* 2 - 1
testnl 1-[b_mean]_cons = 1-[b_mean]_cons - [b_mean]STATE

local d_21 = 1-[b_mean]_cons - [b_mean]STATE - (1-[b_mean]_cons)
local t_21 = r(p)

* 3 - 2
testnl 1-[b_mean]_cons - [b_mean]STATE = 1-[b_mean]_cons - [b_mean]STATE - [b_mean]COETHNIC

local d_22 = 1-[b_mean]_cons - [b_mean]STATE - [b_mean]COETHNIC - (1-[b_mean]_cons - [b_mean]STATE)
local t_22 = r(p)

*alpha 3
* 2 - 1
testnl [p_mean]T_contract*([b_mean]_cons+[b_mean]T_contract) = ([p_mean]T_contract+[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE)

local d_31 = ([p_mean]T_contract+[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE) - ([p_mean]T_contract*([b_mean]_cons+[b_mean]T_contract))
local t_31 = r(p)

* 3 - 2
testnl ([p_mean]T_contract+[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE) = ([p_mean]T_contract+[p_mean]T_contractXSTATE+[p_mean]COETHNIC_X_CONTRACT)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT)

local d_32 = ([p_mean]T_contract+[p_mean]T_contractXSTATE+[p_mean]COETHNIC_X_CONTRACT)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT) - ([p_mean]T_contract+[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE)
local t_32 = r(p)

*alpha 4
* 2 - 1
testnl (-[b_mean]T_contract) = (-[b_mean]T_contract-[b_mean]T_contractXSTATE)

local d_41 = (-[b_mean]T_contract-[b_mean]T_contractXSTATE) - (-[b_mean]T_contract)
local t_41 = r(p)

* 3 - 2
testnl (-[b_mean]T_contract-[b_mean]T_contractXSTATE) = (-[b_mean]T_contract-[b_mean]T_contractXSTATE-[b_mean]COETHNIC_X_CONTRACT) 

local d_42 = (-[b_mean]T_contract-[b_mean]T_contractXSTATE-[b_mean]COETHNIC_X_CONTRACT) - (-[b_mean]T_contract-[b_mean]T_contractXSTATE)
local t_42 = r(p)

* alpha 5
* 2- 1
testnl (1-[p_mean]_cons-[p_mean]T_contract)*([b_mean]_cons+[b_mean]T_contract) = (1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE)

local d_51 = (1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE) - ((1-[p_mean]_cons-[p_mean]T_contract)*([b_mean]_cons+[b_mean]T_contract))
local t_51 = r(p)

* 3 - 2
testnl (1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE) = (1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE-[p_mean]COETHNIC-[p_mean]COETHNIC_X_CONTRACT)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT) 

local d_52 = (1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE-[p_mean]COETHNIC-[p_mean]COETHNIC_X_CONTRACT)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE+[b_mean]COETHNIC+[b_mean]COETHNIC_X_CONTRACT) - (1-[p_mean]_cons-[p_mean]T_contract-[p_mean]STATE-[p_mean]T_contractXSTATE)*([b_mean]_cons+[b_mean]T_contract+[b_mean]STATE+[b_mean]T_contractXSTATE)
local t_52 = r(p)

forvalues i = 1/5 {

		   local jj = 2

		   forvalues j = 1/2 {
		   
		   
		   display `jj'
		   
		   display `t_`i'`j''
		   
		   if `t_`i'`j'' <= 0.01 {
			local a_`i'`jj' = "`a_`i'`jj''" + "$^{***}$"
		   }
		   else if `t_`i'`j'' <= 0.05 {
			local a_`i'`jj' = "`a_`i'`jj''" + "$^{**}$"
		   }
		   else if `t_`i'`j'' <= 0.1 {
			local a_`i'`jj' = "`a_`i'`jj''" + "$^{*}$"
		   }
		   else {
		   }
		   
		   local jj = `jj' + 1
	   }
}




texdoc init TABLE_A5.tex, replace force

tex \resizebox{\textwidth}{!}{ 
tex \begin{tabular}{lccc}

tex \toprule
tex &  $ D $  &  $ S\{N\} $  &  $ S\{C\} $   \\ 
tex \midrule
tex $\alpha_1$: always peaches & `a_11' & `a_12' & `a_13'  \\
tex & `p_11' & `p_12' & `p_13'  \\
tex \\
tex $\alpha_2$: never buyers & `a_21' & `a_22' & `a_23'  \\
tex & `p_21' & `p_22' & `p_23'  \\
tex \\ 
tex $\alpha_3$: informal lemons, formal peaches & `a_31' & `a_32' &  `a_33'  \\
tex & `p_31' & `p_32' & `p_33'  \\
tex \\ 
tex $\alpha_4$: informal lemons, formal non-buyers & `a_41' & `a_42' & `a_43'  \\
tex & `p_41' & `p_42' & `p_43'  \\
tex \\ 
tex $\alpha_5$: always lemons & `a_51' & `a_52' & `a_53'  \\
tex & `p_51' & `p_52' & `p_53'  \\


tex \bottomrule 
tex \end{tabular}

tex }





